diff --git a/.gitignore b/.gitignore
index 1d3e968..a44a8ac 100644
--- a/.gitignore
+++ b/.gitignore
@@ -19,5 +19,6 @@ doc/*
 debian/python-rtslib.substvars
 debian/rtslib-doc.debhelper.log
 debian/tmp/
-*.spec
 rtslib-*
+\#*#
+*~
diff --git a/Makefile b/Makefile
index 895bb4f..e46a981 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 # This file is part of RTSLib.
-# Copyright (c) 2011-2013 by Datera, Inc
+# Copyright (c) 2011-2014 by Datera, Inc
 #
 # Licensed under the Apache License, Version 2.0 (the "License"); you may
 # not use this file except in compliance with the License. You may obtain
@@ -16,20 +16,39 @@
 
 NAME = rtslib
 GIT_BRANCH = $$(git branch | grep \* | tr -d \*)
-VERSION = $$(basename $$(git describe --tags | tr - .))
+VERSION = $$(basename $$(git describe --tags | tr - . | grep -o '[0-9].*$$'))
 
 all:
 	@echo "Usage:"
 	@echo
 	@echo "  make deb         - Builds debian packages."
+	@echo "  make debinstall  - Builds and installs debian packages."
+	@echo "                     (requires sudo access)"
 	@echo "  make rpm         - Builds rpm packages."
 	@echo "  make release     - Generates the release tarball."
 	@echo
+	@echo "  make test   	  - Runs the safe tests suite."
+	@echo "  make test-all 	  - Runs all tests, including dangerous system test."
+	@echo "                     This WILL mess-up your system target configuration!"
+	@echo "                     Requires sudo access to root privileges."
+	@echo
 	@echo "  make clean       - Cleanup the local repository build files."
 	@echo "  make cleanall    - Also remove dist/*"
 
+test:
+	@echo "Running the safe tests suite..."
+	@(PYTHONPATH=$$(pwd); cd tests/safe ; python -u -m unittest discover)
+
+test-all: test
+	@echo "Will run the DESTRUCTIVE system tests suite now."
+	@echo "This requires sudo access to root privileges."
+	@echo "These tests WILL mess-up your system target configuration!"
+	@echo "Type CTRL-C to abort now or enter to continue..."
+	@read X
+	@(PYTHONPATH=$$(pwd); cd tests/system ; sudo python -m unittest discover)
+
 clean:
-	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
+	@rm -fv ${NAME}/*.pyc test/*.pyc ${NAME}/*.html .swp
 	@rm -frv doc
 	@rm -frv ${NAME}.egg-info MANIFEST build
 	@rm -frv debian/tmp
@@ -42,6 +61,8 @@ clean:
 	@rm -frv results
 	@rm -fv rpm/*.spec *.spec rpm/sed* sed*
 	@rm -frv ${NAME}-*
+	@find . -name *~ -exec rm -v {} \;
+	@find . -name \#*\# -exec rm -v {} \;
 	@echo "Finished cleanup."
 
 cleanall: clean
@@ -68,7 +89,7 @@ build/release-stamp:
 		rm -r rpm
 	@echo "Generating rpm changelog..."
 	@( \
-		version=$$(basename $$(git describe HEAD --tags | tr - .)); \
+		version=$$(basename $$(git describe HEAD --tags | tr - . | grep -o '[0-9].*$$')); \
 		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
 		date=$$(git show HEAD --format="format:%ad" -s \
 			| awk '{print $$1,$$2,$$3,$$5}'); \
@@ -78,7 +99,7 @@ build/release-stamp:
 	) >> $$(ls build/${NAME}-${VERSION}/*.spec)
 	@echo "Generating debian changelog..."
 	@( \
-		version=$$(basename $$(git describe HEAD --tags | tr - .)); \
+		version=$$(basename $$(git describe HEAD --tags | tr - . | grep -o '[0-9].*$$')); \
 		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
 		date=$$(git show HEAD --format="format:%aD" -s); \
 		day=$$(git show HEAD --format='format:%ai' -s \
@@ -117,6 +138,10 @@ build/deb-stamp:
 	@for pkg in $$(ls dist/*_${VERSION}_*.deb); do echo "  $${pkg}"; done
 	@touch build/deb-stamp
 
+debinstall: deb
+	@echo "Installing $$(ls dist/*_${VERSION}_*.deb)"
+	@sudo dpkg -i $$(ls dist/*_${VERSION}_*.deb)
+
 rpm: release build/rpm-stamp
 build/rpm-stamp:
 	@echo "Building rpm packages..."
diff --git a/debian/control b/debian/control
index eeb95c8..abf4aab 100644
--- a/debian/control
+++ b/debian/control
@@ -1,13 +1,18 @@
 Source: rtslib
 Section: python
 Priority: optional
-Maintainer: Jerome Martin <jxm@risingtidesystems.com>
-Build-Depends: debhelper(>= 7.0.1), python, python-epydoc
-Standards-Version: 3.8.1
+Standards-Version: 3.9.2
+Homepage: https://github.com/Datera/rtslib
+Maintainer: Jerome Martin <jxm@netiant.com>
+Build-Depends: debhelper(>= 7.0.50~), python(>= 2.6.6-3~), python-ipaddr, python-netifaces, python-configobj, python-pyparsing, python-epydoc, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, lmodern, ghostscript, texlive-fonts-recommended
 
 Package: python-rtslib
 Architecture: all
-Depends: python (>= 2.5)|python2.5|python2.6, python-configobj, python-netifaces, python-ipaddr
-Suggests: rtslib-doc
+Depends: ${python:Depends}, ${misc:Depends}, python-ipaddr, python-netifaces, python-configobj, python-pyparsing
+Provides: ${python:Provides}
 Conflicts: rtsadmin-frozen
-Description: RisingTide Systems generic SCSI target API in python.
+Description: Python API to the Linux Kernel's SCSI Target subsystem (LIO)
+ Provides Python object mappings to LIO and TCM SCSI Target subsystems and
+ fabric modules, like storage objects, SCSI targets and LUNs.
+ .
+ Part of the Linux Kernel SCSI Target's userspace management tools
diff --git a/debian/copyright b/debian/copyright
index 4fac94e..8ac5d63 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,13 +1,4 @@
-This package was originally debianized by Jerome Martin <jxm@risingtidesystems.com>
-on Fri Nov 18 12:00:01 UTC 2009.  It is currently maintained by Jerome Martin 
-<jxm@risingtidesystems.com>.
-
-Upstream Author: Jerome Martin <jxm@risingtidesystems.com>
-
-Copyright: 
-
-This file is part of RTSLib.
-Copyright (c) 2011-2013 by Datera, Inc
+Copyright (c) 2011-2014 by Datera, Inc.
 
 Licensed under the Apache License, Version 2.0 (the "License"); you may
 not use this file except in compliance with the License. You may obtain
@@ -20,5 +11,3 @@ distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 License for the specific language governing permissions and limitations
 under the License.
-
-
diff --git a/debian/python-rtslib.doc-base b/debian/python-rtslib.doc-base
new file mode 100644
index 0000000..900df2d
--- /dev/null
+++ b/debian/python-rtslib.doc-base
@@ -0,0 +1,12 @@
+Document: python-rtslib
+Title: python-rtslib online documentation
+Author: Jerome Martin <jxm@netiant.com>
+Abstract: API reference documentation for python-rtslib
+Section: System/Administration
+
+Format: HTML
+Index: /usr/share/doc/python-rtslib/doc/html/index.html
+Files: /usr/share/doc/python-rtslib/doc/html/*.html
+
+Format: PDF
+Files: /usr/share/doc/python-rtslib/doc/pdf/rtslib_API_Documentation.pdf.gz
diff --git a/debian/python-rtslib.docs b/debian/python-rtslib.docs
index 10fe481..e45a304 100644
--- a/debian/python-rtslib.docs
+++ b/debian/python-rtslib.docs
@@ -1,3 +1,4 @@
-README
+README.md
 COPYING
-doc/html
+specs/*.txt
+doc/
diff --git a/debian/python-rtslib.install b/debian/python-rtslib.install
index 0a59498..940f6c7 100644
--- a/debian/python-rtslib.install
+++ b/debian/python-rtslib.install
@@ -1,2 +1,3 @@
-lib/rtslib usr/share/python-support
-specs/*    var/target/fabric
+lib/rtslib      usr/share/pyshared
+specs/*.spec   	var/target/fabric
+policy/*.lio   	var/target/policy
diff --git a/debian/rules b/debian/rules
index 5321084..83873e9 100755
--- a/debian/rules
+++ b/debian/rules
@@ -2,55 +2,28 @@
 
 build_dir   = build
 install_dir = debian/tmp
-setup       = /usr/bin/python ./setup.py --quiet
-name        = rtslib
 
-binary: binary-indep
 
-binary-arch:
+%:
+	dh $@ --with python2
 
-binary-indep: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
-	dh_installman
-	dh_install --list-missing --sourcedir $(install_dir)
-	dh_fixperms
-	dh_compress -X.py
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+override_dh_auto_clean:
+	# manually clean any *.pyc files
+	rm -rf rtslib/*.pyc
+	[ ! -d doc ] || rm -rf doc
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_installdirs 
-	cp -R specs $(install_dir)
+override_dh_auto_build:
+	python setup.py build --build-base $(build_dir)
+	test -d doc || mkdir doc
 
-build: build-stamp
-build-stamp: 
-	dh_testdir
-	$(setup) build --build-base $(build_dir) install \
-		--no-compile --install-purelib $(install_dir)/lib/rtslib \
-		--install-scripts $(install_dir)/bin
-	echo "2.5, 2.6" > $(install_dir)/lib/rtslib/.version
-	mkdir -p $(build_dir) doc
-	cd $(build_dir); epydoc --no-sourcecode --html -n $(name) \
-		--exclude configobj ../$(name)/*.py
-	cp -r $(build_dir)/html doc/
-	touch build-stamp
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-	$(setup) clean
-	find . -name "*.pyc" | xargs rm -f
-	find . -name "*.pyo" | xargs rm -f
-	rm -rf $(build_dir) $(install_dir)
-	dh_clean
-
-.PHONY: binary binary-indep install build clean
+	mkdir -p doc/pdf
+	epydoc --no-sourcecode --pdf -n rtslib --exclude configobj rtslib/*.py
+	mv pdf/api.pdf doc/pdf/rtslib_API_Documentation.pdf
+	
+	mkdir -p doc/html
+	epydoc --no-sourcecode --html -n rtslib --exclude configobj rtslib/*.py
+	mv html doc/
 
+override_dh_auto_install:
+	python setup.py install --no-compile --install-purelib \
+		$(install_dir)/lib --install-scripts $(install_dir)/bin
diff --git a/policy/backstore_fileio.lio b/policy/backstore_fileio.lio
new file mode 100644
index 0000000..355886a
--- /dev/null
+++ b/policy/backstore_fileio.lio
@@ -0,0 +1,30 @@
+storage fileio disk %str {
+    path %str 
+    size %bytes 
+    buffered %bool(yes)
+    attribute {
+        block_size %int(512)
+        emulate_3pc %bool(yes)
+        emulate_caw %bool(yes)
+        emulate_dpo %bool(no)
+        emulate_fua_read %bool(no)
+        emulate_fua_write %bool(yes)
+        emulate_model_alias %bool(no)
+        emulate_rest_reord %bool(no)
+        emulate_tas %bool(yes)
+        emulate_tpu %bool(no)
+        emulate_tpws %bool(no)
+        emulate_ua_intlck_ctrl %bool(no)
+        emulate_write_cache %bool(no)
+        enforce_pr_isids %bool(yes)
+        fabric_max_sectors %int(8192)
+        is_nonrot %bool(no)
+        max_unmap_block_desc_count %int(1)
+        max_unmap_lba_count %int(8192)
+        max_write_same_len %int(4096)
+        optimal_sectors %int(8192)
+        queue_depth %int(128)
+        unmap_granularity %int(1)
+        unmap_granularity_alignment %int(0)
+    }
+}
diff --git a/policy/backstore_ramdisk.lio b/policy/backstore_ramdisk.lio
new file mode 100644
index 0000000..413c853
--- /dev/null
+++ b/policy/backstore_ramdisk.lio
@@ -0,0 +1,29 @@
+storage rd_mcp disk %str {
+    size %bytes
+	nullio %bool(no)
+    attribute {
+        block_size %int(512)
+        emulate_3pc %bool(yes)
+        emulate_caw %bool(yes)
+        emulate_dpo %bool(no)
+        emulate_fua_read %bool(no)
+        emulate_fua_write %bool(no)
+        emulate_model_alias %bool(no)
+        emulate_rest_reord %bool(no)
+        emulate_tas %bool(yes)
+        emulate_tpu %bool(no)
+        emulate_tpws %bool(no)
+        emulate_ua_intlck_ctrl %bool(no)
+        emulate_write_cache %bool(no)
+        enforce_pr_isids %bool(yes)
+        fabric_max_sectors %int(8192)
+        is_nonrot %bool(no)
+        max_unmap_block_desc_count %bool(no)
+        max_unmap_lba_count %bool(no)
+        max_write_same_len %int(0)
+        optimal_sectors %int(1024)
+        queue_depth %int(32)
+        unmap_granularity %bool(no)
+        unmap_granularity_alignment %bool(no)
+    }
+}
diff --git a/policy/fabric_ib_srpt.lio b/policy/fabric_ib_srpt.lio
new file mode 100644
index 0000000..da404c6
--- /dev/null
+++ b/policy/fabric_ib_srpt.lio
@@ -0,0 +1,68 @@
+fabric ib_srpt {
+    target %srpt_wwn {
+        acl %str {
+            attribute {
+                dataout_timeout %int(3)
+                dataout_timeout_retries %int(5)
+                default_erl %int(0) # TODO 0 1 2 only
+                nopin_response_timeout %int(30)
+                nopin_timeout %int(15)
+                random_datain_pdu_offsets %bool(no)
+                random_datain_seq_offsets %bool(no)
+                random_r2t_offsets %bool(no)
+            }
+            auth {
+                password %str("")
+                password_mutual %str("")
+                userid %str("")
+                userid_mutual %str("")
+            }
+            mapped_lun %int {
+                target_lun @(-3 lun)
+                write_protect %bool(no)
+            }
+        }
+        auth {
+            password %str("")
+            password_mutual %str("")
+            userid %str("")
+            userid_mutual %str("")
+        }
+        attribute {
+            authentication %bool(no)
+            default_erl %int(0) # TODO 0 1 or 2
+            demo_mode_discovery %bool(yes)
+            cache_dynamic_acls %bool(no)
+            default_cmdsn_depth %int(16)
+            demo_mode_write_protect %bool(no)
+            generate_node_acls %bool(no)
+            login_timeout %int(15)
+            netif_timeout %int(2)
+            prod_mode_write_protect %bool(no)
+        }
+        lun %int backend %backend
+        parameter {
+            AuthMethod %str(CHAP)
+            DataDigest %str("CRC32C,None")
+            DataPDUInOrder %bool(yes)
+            DataSequenceInOrder %bool(yes)
+            DefaultTime2Retain %int(20)
+            DefaultTime2Wait %int(2)
+            ErrorRecoveryLevel %bool(no)
+            FirstBurstLength %int(65536)
+            HeaderDigest %str("CRC32C,None")
+            IFMarkInt %str("2048~65535")
+            IFMarker %bool(no)
+            ImmediateData %bool(yes)
+            InitialR2T %bool(yes)
+            MaxBurstLength %int(262144)
+            MaxConnections %int(1)
+            MaxOutstandingR2T %int(1)
+            MaxRecvDataSegmentLength %int(8192)
+            MaxXmitDataSegmentLength %int(262144)
+            OFMarkInt %str("2048~65535")
+            OFMarker %bool(no)
+            TargetAlias %str("LIO Target")
+        }
+    }
+}
diff --git a/policy/fabric_iscsi.lio b/policy/fabric_iscsi.lio
new file mode 100644
index 0000000..3e71d13
--- /dev/null
+++ b/policy/fabric_iscsi.lio
@@ -0,0 +1,77 @@
+fabric iscsi {
+    discovery_auth {
+        enable %bool(yes)
+        mutual_password %str("") 
+        mutual_userid %str("")
+        password %str("")
+        userid %str("")
+    }
+    target %iqn tpgt %int {
+        enable %bool(yes)
+        portal %ipport 
+        acl %str {
+            attribute {
+                dataout_timeout %int(3)
+                dataout_timeout_retries %int(5)
+                default_erl %int(0) # TODO 0 1 2 only
+                nopin_response_timeout %int(30)
+                nopin_timeout %int(15)
+                random_datain_pdu_offsets %bool(no)
+                random_datain_seq_offsets %bool(no)
+                random_r2t_offsets %bool(no)
+            }
+            auth {
+                password %str("")
+                password_mutual %str("")
+                userid %str("")
+                userid_mutual %str("")
+            }
+            mapped_lun %int {
+                target_lun @(-3 lun)
+                write_protect %bool(no)
+            }
+        }
+        auth {
+            password %str("")
+            password_mutual %str("")
+            userid %str("")
+            userid_mutual %str("")
+        }
+        attribute {
+            authentication %bool(no)
+            default_erl %int(0) # TODO 0 1 or 2
+            demo_mode_discovery %bool(yes)
+            cache_dynamic_acls %bool(no)
+            default_cmdsn_depth %int(16)
+            demo_mode_write_protect %bool(no)
+            generate_node_acls %bool(no)
+            login_timeout %int(15)
+            netif_timeout %int(2)
+            prod_mode_write_protect %bool(no)
+        }
+        lun %int backend %backend
+        parameter {
+            AuthMethod %str(CHAP)
+            DataDigest %str("CRC32C,None")
+            DataPDUInOrder %bool(yes)
+            DataSequenceInOrder %bool(yes)
+            DefaultTime2Retain %int(20)
+            DefaultTime2Wait %int(2)
+            ErrorRecoveryLevel %bool(no)
+            FirstBurstLength %int(65536)
+            HeaderDigest %str("CRC32C,None")
+            IFMarkInt %str("2048~65535")
+            IFMarker %bool(no)
+            ImmediateData %bool(yes)
+            InitialR2T %bool(yes)
+            MaxBurstLength %int(262144)
+            MaxConnections %int(1)
+            MaxOutstandingR2T %int(1)
+            MaxRecvDataSegmentLength %int(8192)
+            MaxXmitDataSegmentLength %int(262144)
+            OFMarkInt %str("2048~65535")
+            OFMarker %bool(no)
+            TargetAlias %str("LIO Target")
+        }
+    }
+}
diff --git a/policy/fabric_loopback.lio b/policy/fabric_loopback.lio
new file mode 100644
index 0000000..ea3210d
--- /dev/null
+++ b/policy/fabric_loopback.lio
@@ -0,0 +1 @@
+fabric loopback target %naa lun %int backend %backend
diff --git a/policy/fabric_qla2xxx.lio b/policy/fabric_qla2xxx.lio
new file mode 100644
index 0000000..33c099f
--- /dev/null
+++ b/policy/fabric_qla2xxx.lio
@@ -0,0 +1,68 @@
+fabric qla2xxx {
+    target %qla2xxx_wwn {
+        acl %str {
+            attribute {
+                dataout_timeout %int(3)
+                dataout_timeout_retries %int(5)
+                default_erl %int(0) # TODO 0 1 2 only
+                nopin_response_timeout %int(30)
+                nopin_timeout %int(15)
+                random_datain_pdu_offsets %bool(no)
+                random_datain_seq_offsets %bool(no)
+                random_r2t_offsets %bool(no)
+            }
+            auth {
+                password %str("")
+                password_mutual %str("")
+                userid %str("")
+                userid_mutual %str("")
+            }
+            mapped_lun %int {
+                target_lun @(-3 lun)
+                write_protect %bool(no)
+            }
+        }
+        auth {
+            password %str("")
+            password_mutual %str("")
+            userid %str("")
+            userid_mutual %str("")
+        }
+        attribute {
+            authentication %bool(no)
+            default_erl %int(0) # TODO 0 1 or 2
+            demo_mode_discovery %bool(yes)
+            cache_dynamic_acls %bool(no)
+            default_cmdsn_depth %int(16)
+            demo_mode_write_protect %bool(no)
+            generate_node_acls %bool(no)
+            login_timeout %int(15)
+            netif_timeout %int(2)
+            prod_mode_write_protect %bool(no)
+        }
+        lun %int backend %backend
+        parameter {
+            AuthMethod %str(CHAP)
+            DataDigest %str("CRC32C,None")
+            DataPDUInOrder %bool(yes)
+            DataSequenceInOrder %bool(yes)
+            DefaultTime2Retain %int(20)
+            DefaultTime2Wait %int(2)
+            ErrorRecoveryLevel %bool(no)
+            FirstBurstLength %int(65536)
+            HeaderDigest %str("CRC32C,None")
+            IFMarkInt %str("2048~65535")
+            IFMarker %bool(no)
+            ImmediateData %bool(yes)
+            InitialR2T %bool(yes)
+            MaxBurstLength %int(262144)
+            MaxConnections %int(1)
+            MaxOutstandingR2T %int(1)
+            MaxRecvDataSegmentLength %int(8192)
+            MaxXmitDataSegmentLength %int(262144)
+            OFMarkInt %str("2048~65535")
+            OFMarker %bool(no)
+            TargetAlias %str("LIO Target")
+        }
+    }
+}
diff --git a/policy/fabric_tcm_fc.lio b/policy/fabric_tcm_fc.lio
new file mode 100644
index 0000000..71c2c82
--- /dev/null
+++ b/policy/fabric_tcm_fc.lio
@@ -0,0 +1,68 @@
+fabric tcm_fc {
+    target %fc_wwn {
+        acl %str {
+            attribute {
+                dataout_timeout %int(3)
+                dataout_timeout_retries %int(5)
+                default_erl %int(0) # TODO 0 1 2 only
+                nopin_response_timeout %int(30)
+                nopin_timeout %int(15)
+                random_datain_pdu_offsets %bool(no)
+                random_datain_seq_offsets %bool(no)
+                random_r2t_offsets %bool(no)
+            }
+            auth {
+                password %str("")
+                password_mutual %str("")
+                userid %str("")
+                userid_mutual %str("")
+            }
+            mapped_lun %int {
+                target_lun @(-3 lun)
+                write_protect %bool(no)
+            }
+        }
+        auth {
+            password %str("")
+            password_mutual %str("")
+            userid %str("")
+            userid_mutual %str("")
+        }
+        attribute {
+            authentication %bool(no)
+            default_erl %int(0) # TODO 0 1 or 2
+            demo_mode_discovery %bool(yes)
+            cache_dynamic_acls %bool(no)
+            default_cmdsn_depth %int(16)
+            demo_mode_write_protect %bool(no)
+            generate_node_acls %bool(no)
+            login_timeout %int(15)
+            netif_timeout %int(2)
+            prod_mode_write_protect %bool(no)
+        }
+        lun %int backend %backend
+        parameter {
+            AuthMethod %str(CHAP)
+            DataDigest %str("CRC32C,None")
+            DataPDUInOrder %bool(yes)
+            DataSequenceInOrder %bool(yes)
+            DefaultTime2Retain %int(20)
+            DefaultTime2Wait %int(2)
+            ErrorRecoveryLevel %bool(no)
+            FirstBurstLength %int(65536)
+            HeaderDigest %str("CRC32C,None")
+            IFMarkInt %str("2048~65535")
+            IFMarker %bool(no)
+            ImmediateData %bool(yes)
+            InitialR2T %bool(yes)
+            MaxBurstLength %int(262144)
+            MaxConnections %int(1)
+            MaxOutstandingR2T %int(1)
+            MaxRecvDataSegmentLength %int(8192)
+            MaxXmitDataSegmentLength %int(262144)
+            OFMarkInt %str("2048~65535")
+            OFMarker %bool(no)
+            TargetAlias %str("LIO Target")
+        }
+    }
+}
diff --git a/policy/fabric_vhost.lio b/policy/fabric_vhost.lio
new file mode 100644
index 0000000..a663660
--- /dev/null
+++ b/policy/fabric_vhost.lio
@@ -0,0 +1,5 @@
+fabric vhost {
+    target %naa tpgt %int {
+        lun %int backend %backend
+    }
+}
\ No newline at end of file
diff --git a/rpm/python-rtslib.spec.tmpl b/rpm/python-rtslib.spec.tmpl
index e30d57e..24e8f17 100644
--- a/rpm/python-rtslib.spec.tmpl
+++ b/rpm/python-rtslib.spec.tmpl
@@ -11,7 +11,7 @@ Source:         %{oname}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-rpmroot
 BuildArch:      noarch
 BuildRequires:  python-devel, epydoc
-Requires:       python-configobj, python-netifaces, python-ipaddr
+Requires:       python-configobj, python-netifaces, python-ipaddr, python-pyparsing
 Vendor:         Datera, Inc.
 
 %description
@@ -30,9 +30,11 @@ mv html doc/
 rm -rf %{buildroot}
 %{__python} setup.py install --skip-build --root %{buildroot} --prefix usr
 mkdir -p %{buildroot}/var/target/fabric
-cp specs/* %{buildroot}/var/target/fabric
+cp specs/*.spec %{buildroot}/var/target/fabric
+mkdir -p %{buildroot}/var/target/policy
+cp policy/*.lio %{buildroot}/var/target/policy
 mkdir -p %{buildroot}/usr/share/doc/python-rtslib-doc-%{version}
-cp -r doc/* %{buildroot}/usr/share/doc/python-rtslib-doc-%{version}/
+cp -r doc/* specs/*.txt %{buildroot}/usr/share/doc/python-rtslib-doc-%{version}/
 
 %clean
 rm -rf %{buildroot}
@@ -42,6 +44,6 @@ rm -rf %{buildroot}
 %{python_sitelib}
 /var/target
 /usr/share/doc/python-rtslib-doc-%{version}
-%doc COPYING README
+%doc COPYING README.md
 
 %changelog
diff --git a/rtslib/__init__.py b/rtslib/__init__.py
index 46ed110..ae673d1 100644
--- a/rtslib/__init__.py
+++ b/rtslib/__init__.py
@@ -1,6 +1,6 @@
 '''
 This file is part of RTSLib.
-Copyright (c) 2011-2013 by Datera, Inc
+Copyright (c) 2011-2014 by Datera, Inc
 
 Licensed under the Apache License, Version 2.0 (the "License"); you may
 not use this file except in compliance with the License. You may obtain
@@ -25,8 +25,13 @@ from target import NodeACL, NetworkPortal, TPG, Target, FabricModule
 
 from tcm import FileIOBackstore, IBlockBackstore
 from tcm import FileIOStorageObject, IBlockStorageObject
-from tcm import PSCSIBackstore, RDDRBackstore, RDMCPBackstore
-from tcm import PSCSIStorageObject, RDDRStorageObject, RDMCPStorageObject
+from tcm import PSCSIBackstore, RDMCPBackstore
+from tcm import PSCSIStorageObject, RDMCPStorageObject
+
+from config_filters import *
+from config import Config, ConfigError
+from config_tree import ConfigTree, NO_VALUE
+from config_parser import ConfigParser, PolicyParser, PatternParser
 
 __version__ = 'GIT_VERSION'
 __author__ = "Jerome Martin <jxm@risingtidesystems.com>"
